import unittest
import os
from os.path import join
from logilab.common.astng.manager import FileBasedASTNGManager


class FileBasedASTNGManagerTC(unittest.TestCase):
    def setUp(self):
        self.manager = FileBasedASTNGManager()

    def test_from_directory(self):
        obj = self.manager.from_directory('data')
        self.assertEquals(obj.name, 'data')
        self.assertEquals(obj.path, join(os.getcwd(), 'data'))
        
    def test_package_node(self):
        obj = self.manager.from_directory('data')
        self.assertEquals(obj.keys(),
                          ['__init__', 'module', 'module2'])
        self.assertEquals([m.name for m in obj.values()],
                          ['__init__', 'module', 'module2'])
        self.assertEquals([m for m in list(obj)],
                          ['__init__', 'module', 'module2'])
        self.assertEquals([(name, m.name) for name, m in obj.items()],
                          [('__init__', '__init__'),
                           ('module', 'module'),
                           ('module2', 'module2')])
        #self.assertEquals(obj.has_key, [])
        #self.assertEquals(obj.get, [])
        for key in obj:
            print key,
            print obj[key]
        
if __name__ == '__main__':
    unittest.main()

    
